## org.eclipse.datatools.sqltools.sqlbuilder.input
Class SQLBuilderFileEditorInput

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ui.part.FileEditorInput
              org.eclipse.datatools.sqltools.sqlbuilder.input.SQLBuilderFileEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLBuilderEditorInput, ISQLEditorInput, org.eclipse.ui.IEditorInput, org.eclipse.ui.IFileEditorInput, org.eclipse.ui.IPathEditorInput, org.eclipse.ui.IPersistable, org.eclipse.ui.IPersistableElement, org.eclipse.ui.IStorageEditorInput, org.eclipse.ui.IURIEditorInput

    public class SQLBuilderFileEditorInput

extends org.eclipse.ui.part.FileEditorInput
implements ISQLBuilderEditorInput

This class implements the `ISQLEditorInput` interface using a `FileEditorInput` as the base. In addition, this class contains fields and methods that are specifically for launching the SQL Builder. This class is provided as a convenience for callers of the SQL Builder who want to open the SQL Builder on a file.

Constructor Summary
`SQLBuilderFileEditorInput(org.eclipse.core.resources.IFile aFile)` Creates an instance of this class with the given file.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()` Gets the `ISQLEditorConnectionInfo` associated with this input.
`java.lang.String` `getId()` Returns the unique identifier that distinguishes this editor input
`ISQLBuilderEditorInputUsageOptions` `getInputUsageOptions()` Gets the usage options of the editor input.
`IOmitSchemaInfo` `getOmitSchemaInfo()` Gets the `IOmitSchemaInfo` associated with this input.
`java.lang.String` `getSQL()` Gets the SQLStatement contained in this input's File
`IWindowStateInfo` `getWindowStateInfo()` Gets the window state information which stores the control states of the SQL Query Builder.
`boolean` `isConnectionRequired()` Returns whether database connection is required for this editor input to exist.
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)` Sets the `ISQLEditorConnectionInfo` associated with this input to the given object.
`void` `setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)` Sets the usage options of the editor input.
`void` `setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)` Sets the `OmitSchemaInfo` associated with this input to the given object.
`void` `setWindowStateInfo(IWindowStateInfo windowStateInfo)` Sets the window state information.

Methods inherited from class org.eclipse.ui.part.FileEditorInput
`equals, exists, getAdapter, getFactoryId, getFile, getImageDescriptor, getName, getPath, getPersistable, getStorage, getToolTipText, getURI, hashCode, isLocalFile, saveState, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### SQLBuilderFileEditorInput

    public SQLBuilderFileEditorInput(org.eclipse.core.resources.IFile aFile)

  Creates an instance of this class with the given file.

  Parameters:
    `aFile` - the file to associate with this input

Method Detail

### getConnectionInfo

    public ISQLEditorConnectionInfo getConnectionInfo()

  Gets the `ISQLEditorConnectionInfo` associated with this input.

  Specified by:
    `getConnectionInfo` in interface `ISQLBuilderEditorInput`
  Specified by:
    `getConnectionInfo` in interface `ISQLEditorInput`
  Returns:
    the current `ISQLEditorConnectionInfo` object

### setConnectionInfo

    public void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

  Sets the `ISQLEditorConnectionInfo` associated with this input to the given object.

  Specified by:
    `setConnectionInfo` in interface `ISQLBuilderEditorInput`
  Specified by:
    `setConnectionInfo` in interface `ISQLEditorInput`
  Parameters:
    `connInfo` - the `ISQLEditorConnectionInfo` object to set

### setOmitSchemaInfo

    public void setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)

  Sets the `OmitSchemaInfo` associated with this input to the given object.

  Specified by:
    `setOmitSchemaInfo` in interface `ISQLBuilderEditorInput`
  Parameters:
    `omitSchemaInfo` - the `OmitSchemaInfo` object to set

### getOmitSchemaInfo

    public IOmitSchemaInfo getOmitSchemaInfo()

  Gets the `IOmitSchemaInfo` associated with this input.

  Specified by:
    `getOmitSchemaInfo` in interface `ISQLBuilderEditorInput`
  Returns:
    the current `IOmitSchemaInfo` object

### getSQL

    public java.lang.String getSQL()

  Gets the SQLStatement contained in this input's File

  Specified by:
    `getSQL` in interface `ISQLBuilderEditorInput`
  Returns:
    String the SQL Statement for this input.

### isConnectionRequired

    public boolean isConnectionRequired()

  Description copied from interface: `ISQLEditorInput`
  Returns whether database connection is required for this editor input to exist.

  Specified by:
    `isConnectionRequired` in interface `ISQLEditorInput`
  Returns:

### getId

    public java.lang.String getId()

  Description copied from interface: `ISQLEditorInput`
  Returns the unique identifier that distinguishes this editor input

  Specified by:
    `getId` in interface `ISQLEditorInput`
  Returns:
    A string id

### getWindowStateInfo

    public IWindowStateInfo getWindowStateInfo()

  Description copied from interface: `ISQLBuilderEditorInput`
  Gets the window state information which stores the control states of the SQL Query Builder.

  Specified by:
    `getWindowStateInfo` in interface `ISQLBuilderEditorInput`

### setWindowStateInfo

    public void setWindowStateInfo(IWindowStateInfo windowStateInfo)

  Description copied from interface: `ISQLBuilderEditorInput`
  Sets the window state information.

  Specified by:
    `setWindowStateInfo` in interface `ISQLBuilderEditorInput`

### getInputUsageOptions

    public ISQLBuilderEditorInputUsageOptions getInputUsageOptions()

  Description copied from interface: `ISQLBuilderEditorInput`
  Gets the usage options of the editor input. The options may be configured independent of the existence of specific input info.

  Specified by:
    `getInputUsageOptions` in interface `ISQLBuilderEditorInput`

### setInputUsageOptions

    public void setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)

  Description copied from interface: `ISQLBuilderEditorInput`
  Sets the usage options of the editor input.

  Specified by:
    `setInputUsageOptions` in interface `ISQLBuilderEditorInput`